//chemesis2.0
//cal5graph.g
create xform /graph1 [10,20,600,400]
create xgraph /graph1/ca -title "cal" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits mM xmax 500 ymin 0 ymax 0.001
create xgraph /graph1/buf -title "buf" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits mM xmax  500 ymin 0 ymax 0.03
create xgraph /graph1/vm -title "potential" -hgeom 50% -wgeom 50%  -xgeom 300 -ygeom 0
setfield ^ XUnits mSec YUnits mV xmax 500 ymin -80 ymax 50
create xgraph /graph1/current -title "current" -hgeom 50% -wgeom 50%  -xgeom 300 -ygeom 200
setfield ^ XUnits mSec YUnits nA xmax 500 ymin -0.0006 ymax 0.0001

addmsg somaCa /graph1/ca PLOT Conc *somaca *blue 
addmsg somaCabuf /graph1/buf PLOT Conc *somaCabuf *blue 

addmsg dendCa /graph1/ca PLOT Conc *dendca *black
addmsg dendCabuf /graph1/buf PLOT Conc *dendCabuf *black

addmsg soma /graph1/vm PLOT Vm *soma *red
addmsg dendrite /graph1/vm PLOT Vm *dend *blue

//addmsg persist_ghk_ica /graph1/current PLOT I *persist *red
addmsg somaCa/trans_ghk_ica /graph1/current PLOT I *trans *blue




xshow /graph1
useclock /graph1/# 1
