function graphs2 (pkc, cellpath)
str pkc, cellpath
create xform /graph1 [10,20,600,400]

create xgraph /graph1/GPLC -title "PLC,G" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits mM xmax 5 ymin 0 ymax 25
create xgraph /graph1/mGlu -title "mGlu" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits nA xmax  1 ymin 0 ymax 4
create xgraph /graph1/IP3 -title "IP3" -xgeom 300 -ygeom 0 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec ymax 5 ymin 0 xmax 5
create xgraph /graph1/aG -title "aG and Glu_mGluR" -xgeom 300 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec  xmax 4 ymax 0.2 ymin 0
xshow /graph1

addmsg {pkc}/Gtot /graph1/GPLC PLOT Conc *G *black
addmsg {pkc}/PLCtot /graph1/GPLC PLOT Conc *plc *blue

addmsg {pkc}/IP3 /graph1/IP3 PLOT Conc *ip3 *black
addmsg {pkc}/IP3deg /graph1/IP3 PLOT Conc *ip3deg *blue

addmsg {cellpath}/par_mGlu /graph1/mGlu PLOT z *mGlu *red
addmsg {pkc}/Glu_mGluR /graph1/mGlu PLOT Conc *Glu_mGluR *blue

addmsg {pkc}/aG /graph1/aG PLOT Conc *aG *black
addmsg {pkc}/aPLC_aG /graph1/aG PLOT Conc *aPLC_aG *red

useclock /graph1/# 1
end
