//genesis2.3
//cal6graph.g
create xform /graph1 [10,20,600,400]
create xgraph /graph1/ca -title "calcium" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits uM xmax 500 ymin 0 ymax 10
create xgraph /graph1/vm -title "potential" -hgeom 50% -wgeom 50%  -xgeom 300 -ygeom 0
setfield ^ XUnits mSec YUnits mV xmax 500 ymin -80 ymax 50
create xgraph /graph1/current -title "current" -hgeom 50% -wgeom 50%  -xgeom 300 -ygeom 200
setfield ^ XUnits mSec YUnits nA xmax 500 ymin 0 ymax 0.0005

addmsg dendrite/Ca_conc /graph1/ca PLOT Ca *dendca *blue 

addmsg soma /graph1/vm PLOT Vm *soma *red
addmsg dendrite /graph1/vm PLOT Vm *dend *blue

addmsg dendrite/TCachan /graph1/current PLOT Ik *TCa *blue




xshow /graph1
useclock /graph1/# 1
